function ssw_jsurl2imagelist,jsurl, debug=debug
;
;+
;   Name: ssw_jsurl2imagelist
; 
;   Purpose: return urls of image files within javascript movie html
;
;   Input Paramters:
;      jsurl - url of desired javascript movie
;
;   Output:
;     returns implied url list of remote graphics (png/gif)
;
;  Keyword Parameters:
;     copy - if set, copy the full list of remote -> local
;
;  Calling Sequence:
;      imgurls=ssw_jsurl2imagelist('http://.../<JSMOVIE>.html')
;
;  History:
;     23-Sep-2005 - S.L.Freeland
;
;-

if not data_chk(jsurl,/scalar,/string) then begin 
   box_message,'Require input url of remote javascript movie'
   return,'' 
endif

break_url,jsurl,serv,paths,files,http=http
if not http then begin 
   box_message,'Need an http url input'
   return,''
endif

sock_list,jsurl,jslist

ssimg=where(strpos(jslist,']=url_path') ne -1 and $
            strpos(jslist,'";') ne -1,sscnt)

if sscnt eq 0 then begin
   box_message,'Cannot seem to find the image list within this "javascript"'
   return,''
endif

imgs=strextract(jslist(ssimg),'url_path+"','";')

retval='http://' + serv+'/'+paths+imgs


debug=keyword_set(debug)
if debug then stop,'before return'
return,retval
end
